cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rafael Weingärtner <rafaelweingart...@gmail.com>
Subject Re: F5 compile issue with 4.5.x
Date Tue, 04 Apr 2017 20:19:00 GMT
What version of Java 8 (e.g. jdk1.8.0_112)?
I had a similar problem quite a long time ago, the compilation would work
with jdk1.8.0_11 (or JDK 7), but would not work with anything higher.
Did you try using Java JDK 7?

On Tue, Apr 4, 2017 at 4:14 PM, Tutkowski, Mike <Mike.Tutkowski@netapp.com>
wrote:

> I am running with Java 8 because I typically have been working with 4.10.
> I just needed to go back to 4.5.x for another project I’m working on.
>
> Thanks
>
> On 4/4/17, 2:09 PM, "Rafael Weingärtner" <rafaelweingartner@gmail.com>
> wrote:
>
>     I feel that I have seen this before.
>     What is your JDK version?
>
>     On Tue, Apr 4, 2017 at 4:06 PM, Tutkowski, Mike <
> Mike.Tutkowski@netapp.com>
>     wrote:
>
>     > Hi,
>     >
>     > I see the following error now when trying to compile 4.5.x code:
>     >
>     > [INFO] Compiling 12 source files to /Users/solidfire/Documents/
>     > CloudStack/CloudStack/plugins/network-elements/f5/target/classes
>     > [INFO] -------------------------------------------------------------
>     > [ERROR] COMPILATION ERROR :
>     > [INFO] -------------------------------------------------------------
>     > [ERROR] /Users/solidfire/Documents/CloudStack/CloudStack/plugins/
>     > network-elements/f5/src/com/cloud/network/resource/F5BigIpRe
> source.java:[411,26]
>     > error: cannot access Stub
>     >
>     > I’ve not seen this “Stub” problem before.
>     >
>     > Anyone familiar with what it’s referring to?
>     >
>     > Thanks!
>     > Mike
>     >
>
>
>
>     --
>     Rafael Weingärtner
>
>
>


-- 
Rafael Weingärtner

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message